/***************************************************************************
 *   Copyright (C) 2005 by Florian Roth   *
 *   florian@synatic.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qlayout.h>
#include <kglobalsettings.h>
#include "linkwidget.h"

LinkWidget::LinkWidget(QWidget *parent, const char *name) : QWidget(parent, name){
  link = new KURLLabel(this);
  link->setUnderline(false);
  link->setHighlightedColor(KGlobalSettings::textColor());
  link->setSelectedColor(KGlobalSettings::textColor());
  
  icon = new KURLLabel(this);
  
  connect(link, SIGNAL(leftClickedURL (const QString &))  , this, SIGNAL(leftClickedURL (const QString &)));
  connect(link, SIGNAL(leftClickedURL ())                 , this, SIGNAL(leftClickedURL ()));
  connect(link, SIGNAL(rightClickedURL (const QString &)) , this, SIGNAL(rightClickedURL (const QString &)));
  connect(link, SIGNAL(rightClickedURL ())                , this, SIGNAL(rightClickedURL ()));
  connect(link, SIGNAL(middleClickedURL (const QString &)), this, SIGNAL(middleClickedURL (const QString &)));
  connect(link, SIGNAL(middleClickedURL ())               , this, SIGNAL(middleClickedURL ()));
  
  connect(icon, SIGNAL(leftClickedURL (const QString &))  , this, SIGNAL(leftClickedURL (const QString &)));
  connect(icon, SIGNAL(leftClickedURL ())                 , this, SIGNAL(leftClickedURL ()));
  connect(icon, SIGNAL(rightClickedURL (const QString &)) , this, SIGNAL(rightClickedURL (const QString &)));
  connect(icon, SIGNAL(rightClickedURL ())                , this, SIGNAL(rightClickedURL ()));
  connect(icon, SIGNAL(middleClickedURL (const QString &)), this, SIGNAL(middleClickedURL (const QString &)));
  connect(icon, SIGNAL(middleClickedURL ())               , this, SIGNAL(middleClickedURL ()));

  QHBoxLayout *layout = new QHBoxLayout(this);
  layout->setSpacing(5);
  layout->addWidget(icon);
  layout->addWidget(link);
  layout->addItem(new QSpacerItem(10, 10, QSizePolicy::Expanding, QSizePolicy::Minimum));
}

LinkWidget::~LinkWidget(){
}
